import { POPMessageInfoNativeBinding } from "../types";
import { NodeTrustedMailcore2NativeBinding } from "../types/NodeTrustedMailcore2NativeBinding";
declare let bindings: NodeTrustedMailcore2NativeBinding;
/**
 * POPMessageInfo Class
 *
 * @public
 */
declare class POPMessageInfo extends bindings.POPMessageInfo {
    /**
     * Wrapping object handle
     *
     * @internal
     */
    handle: POPMessageInfoNativeBinding;
    constructor();
    /**
     * Set index
     *
     * @memberof POPMessageInfo
     */
    set index(idxVal: number);
    /**
     * Get index
     *
     * @type {number}
     * @memberof POPMessageInfo
     */
    get index(): number;
    /**
     * Set size
     *
     * @memberof POPMessageInfo
     */
    set size(sizeVal: number);
    /**
     * Get size
     *
     * @type {number}
     * @memberof POPMessageInfo
     */
    get size(): number;
    /**
     * Set UID
     *
     * @memberof POPMessageInfo
     */
    set UID(uidVal: string);
    /**
     * Get UID
     *
     * @type {string}
     * @memberof POPMessageInfo
     */
    get UID(): string;
}
export { POPMessageInfo };
//# sourceMappingURL=POPMessageInfo.d.ts.map